Name:		vorbis-tools
Version:	1.4.0
Release:	1
Summary:	Several Ogg Vorbis Tools

Group:		Applications/Multimedia
License:	GPL
URL:		http://www.xiph.org/
Vendor:		Xiph.org Foundation <team@xiph.org>
Source0:        http://www.xiph.org/pub/ogg/vorbis/download/%{name}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

Requires:       libvorbis >= 1.3.1
BuildRequires:	libvorbis-devel >= 1.3.1
Requires:       flac >= 1.2.1
BuildRequires:	flac-devel >= 1.2.1
Requires:       speex >= 1.2rc1
BuildRequires:	speex-devel >= 1.2rc1
Requires:       libao >= 1.0.0
BuildRequires:	libao-devel >= 1.0.0
Requires:       libkate >= 0.3.8
BuildRequires:	libkate-devel >= 0.3.8
Requires:       curl >= 7.19.7
BuildRequires:	curl-devel >= 7.19.7
Requires:       gettext
BuildRequires:	gettext

%description
vorbis-tools contains oggenc (an encoder) and ogg123 (a playback tool).
It also has vorbiscomment (to add comments to vorbis files), ogginfo (to
give all useful information about an ogg file, including streams in it),
oggdec (a simple command line decoder), and vcut (which allows you to 
cut up vorbis files).


%prep
%setup -q


%build
export CC=xlc
./configure \
    --prefix=%{_prefix} \
    --mandir=%{_mandir} \
    --enable-shared --enable-static \
    --enable-vcut
make %{?_smp_mflags}


%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install

/usr/bin/strip ${RPM_BUILD_ROOT}%{_bindir}/* || :

cd ${RPM_BUILD_ROOT}
mkdir -p usr/bin
cd usr/bin
ln -sf ../..%{_bindir}/* .


%clean 
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,system)
%doc COPYING
%doc README
%doc ogg123/ogg123rc-example
%{_bindir}/*
%{_mandir}/man1/*
%{_datadir}/locale/*/LC_MESSAGES/*
/usr/bin/*


%changelog
* Mon Dec 06 2010 Michael Perzl <michael@perzl.org> - 1.4.0-1
- updated to version 1.4.0

* Thu Mar 13 2008 Michael Perzl <michael@perzl.org> - 1.2.0-1
- updated to version 1.2.0

* Tue Jan 22 2008 Michael Perzl <michael@perzl.org> - 1.1.1.svn20080121-1
- first version for AIX V5.1 and higher
- current SVN snapshot of vorbis-tools used for support of newest FLAC version
